Skip to main content
GET
/
seller
/
webhooks
/
{webhookId}
/
failures
/
{failureId}
Retrieve webhook failure
curl --request GET \
  --url https://api.managem.co.uk/seller/webhooks/{webhookId}/failures/{failureId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "responseStatusCode": 123,
  "responseTime": 123,
  "reason": "<string>",
  "harKey": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhookId
string
required

Identifier of the webhook endpoint that experienced the failure

failureId
string
required

Identifier of the failure to retrieve

Response

Webhook delivery failure

Represents a recorded failure of a webhook delivery attempt.

id
string
required

Unique identifier for the webhook failure

responseStatusCode
integer
required

HTTP response status code returned by the endpoint

responseTime
integer
required

Time taken for the endpoint to respond in milliseconds

reason
string
required

Reason describing why the delivery failed

harKey
string
required

Key for the HAR payload stored within the R2 bucket

createdAt
string<date-time>
required

Timestamp when the failure was recorded